#include "DrawPatrolPathInteraction.h"
#include "Net/UnrealNetwork.h"

void UDrawPatrolPathInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDrawPatrolPathInteraction, _exitReason);
}

UDrawPatrolPathInteraction::UDrawPatrolPathInteraction()
{
	this->_exitReason = EDrawPatrolExitReason::None;
}
